<?php

declare(strict_types=1);

use FiloBlu\Refilo\Helper\Url;
use FiloBlu\Refilo\Remote\Entity\UrlRewrite;
use FiloBlu\Refilo\Remote\Entity\UrlRewriteFactory;
use Magento\Framework\App\Bootstrap;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$objectManager = $bootstrap->getObjectManager();

/** @var Url $urlHelper */
$urlHelper = $objectManager->get(Url::class);
/** @var UrlRewrite $urlHelper */
$urlRewriteFactory = $objectManager->get(UrlRewriteFactory::class);

$canonicals = $urlHelper->getCanonicalUrl($urlRewriteFactory->create(['store' => 'it']));


echo 'done';
